From: "Tim Harder" <radhermit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/lilypond/
Date: Thu, 1 Sep 2016 03:10:03 +0000 (UTC) [thread overview]
Message-ID: <1472699338.94e3223e2c57d42ceaa5126c1328f5fa9ae1970f.radhermit@gentoo> (raw)
commit: 94e3223e2c57d42ceaa5126c1328f5fa9ae1970f
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 1 03:08:28 2016 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Thu Sep 1 03:08:58 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94e3223e
media-sound/lilypond: version bump to 2.19.47
media-sound/lilypond/Manifest | 1 +
media-sound/lilypond/lilypond-2.19.47.ebuild | 142 +++++++++++++++++++++++++++
2 files changed, 143 insertions(+)
diff --git a/media-sound/lilypond/Manifest b/media-sound/lilypond/Manifest
index a80e41e..3806ebb 100644
--- a/media-sound/lilypond/Manifest
+++ b/media-sound/lilypond/Manifest
@@ -1,2 +1,3 @@
DIST lilypond-2.18.2.tar.gz 16027977 SHA256 329d733765b0ba7be1878ae3f457dbbb875cc2840d2b75af4afc48c9454fba07 SHA512 0692f6eb41733076ba7f610cd1e65762f4dfd67307e2ab9e222b140d58ae3a1bb1c6b3be3bcff778d57f161868cf6d57e99bf43bf20f2663d042a07493942ec6 WHIRLPOOL 95db264992a1e425fd1ee53d980941eef554c1784a1adfc105750d82d11664f61207c2b1897b6e99448790131c0715f08401f45b663c420553925596c6fd4b1c
DIST lilypond-2.19.46.tar.gz 16899476 SHA256 f609051e2128c40da17698c0432fe8a96858583d197a8264fc4bceeab0378674 SHA512 594921b784f6604bfb2210569fac03911cb5c4c11e2e9241f62153d7c012b5e10cd2cacd3ac3d69c1719c9b6fddc550d381a9fa9b96f22ada63019b38ef95de1 WHIRLPOOL b77b1bc76ccdf6e17179fd9b1497beac96da2bd1ce83b7944a2a8f4a5d6274581c8e7f4c9e2de44b53912df702731456cd2658d96cccb186347f1a4577146a4d
+DIST lilypond-2.19.47.tar.gz 16926783 SHA256 842312813a9144b6b54a33f13fb19addbfc779d7bbfe3b2075be1235287de08c SHA512 8720a11f0410bd462db1bf11508a7181953b099918b01fc3707a52a2269a840473fc22065b82fad59d98fdd84e54d3810c2c6a4302754d36f1bd6d847e7f72bd WHIRLPOOL ccd8eee71067b0811a32a0ad6572031f936e95637266909534a5212783f0c0fe99eac7406aadae21b17e632c3fb1f1c50b945d4d0e9b64b32ec1c976bf8406c1
diff --git a/media-sound/lilypond/lilypond-2.19.47.ebuild b/media-sound/lilypond/lilypond-2.19.47.ebuild
new file mode 100644
index 00000000..63535e7
--- /dev/null
+++ b/media-sound/lilypond/lilypond-2.19.47.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+[[ "${PV}" = "9999" ]] && inherit git-r3
+inherit elisp-common autotools python-single-r1
+
+if [[ "${PV}" = "9999" ]]; then
+ EGIT_REPO_URI="git://git.sv.gnu.org/lilypond.git"
+else
+ SRC_URI="http://download.linuxaudio.org/lilypond/sources/v${PV:0:4}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~x86"
+fi
+
+DESCRIPTION="GNU Music Typesetter"
+HOMEPAGE="http://lilypond.org/"
+
+LICENSE="GPL-3 FDL-1.3"
+SLOT="0"
+LANGS=" ca cs da de el eo es fi fr it ja nl ru sv tr uk vi zh_TW"
+IUSE="debug emacs profile vim-syntax ${LANGS// / linguas_}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND=">=app-text/ghostscript-gpl-8.15
+ >=dev-scheme/guile-1.8.2:12[deprecated,regex]
+ media-fonts/tex-gyre
+ media-libs/fontconfig
+ media-libs/freetype:2
+ >=x11-libs/pango-1.12.3
+ emacs? ( virtual/emacs )
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}
+ app-text/t1utils
+ dev-lang/perl
+ dev-libs/kpathsea
+ >=dev-texlive/texlive-metapost-2013
+ || (
+ >=app-text/texlive-core-2013
+ >=dev-tex/metapost-1.803
+ )
+ virtual/pkgconfig
+ media-gfx/fontforge[png]
+ >=sys-apps/texinfo-4.11
+ >=sys-devel/bison-2.0
+ sys-devel/flex
+ sys-devel/gettext
+ sys-devel/make"
+
+# Correct output data for tests isn't bundled with releases
+RESTRICT="test"
+
+DOCS=( DEDICATION HACKING README.txt ROADMAP )
+
+pkg_setup() {
+ # make sure >=metapost-1.803 is selected if it's installed, bug 498704
+ if [[ ${MERGE_TYPE} != binary ]] && has_version ">=dev-tex/metapost-1.803" ; then
+ if [[ $(readlink "${EROOT}"/usr/bin/mpost) =~ mpost-texlive-* ]] ; then
+ einfo "Updating metapost symlink"
+ eselect mpost update || die
+ fi
+ fi
+
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ if ! use vim-syntax ; then
+ sed -i 's/vim//' GNUmakefile.in || die
+ fi
+
+ # respect CFLAGS
+ sed -i 's/OPTIMIZE -g/OPTIMIZE/' aclocal.m4 || die
+
+ for lang in ${LANGS}; do
+ use linguas_${lang} || rm po/${lang}.po || die
+ done
+
+ # respect AR
+ sed -i "s/^AR=ar/AR=$(tc-getAR)/" stepmake/stepmake/library-vars.make || die
+
+ # remove bundled texinfo file (fixes bug #448560)
+ rm tex/texinfo.tex || die
+
+ eautoreconf
+}
+
+src_configure() {
+ # documentation generation currently not supported since it requires a newer
+ # version of texi2html than is currently in the tree
+
+ local myeconfargs+=(
+ --with-texgyre-dir=/usr/share/fonts/tex-gyre
+ --disable-documentation
+ --disable-optimising
+ --disable-pipe
+ $(use_enable debug debugging)
+ $(use_enable profile profiling)
+ )
+
+ has_version ">=dev-scheme/guile-2" && myeconfargs+=( --enable-guile2 )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ default
+
+ if use emacs ; then
+ elisp-compile elisp/lilypond-{font-lock,indent,mode,what-beat}.el \
+ || die "elisp-compile failed"
+ fi
+}
+
+src_install () {
+ emake DESTDIR="${D}" vimdir=/usr/share/vim/vimfiles install
+
+ # remove elisp files since they are in the wrong directory
+ rm -r "${ED}"/usr/share/emacs || die
+
+ if use emacs ; then
+ elisp-install ${PN} elisp/*.{el,elc} elisp/out/*.el \
+ || die "elisp-install failed"
+ elisp-site-file-install "${FILESDIR}"/50${PN}-gentoo.el
+ fi
+
+ python_fix_shebang "${ED}"
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
next reply other threads:[~2016-09-01 3:10 UTC|newest]
Thread overview: 109+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-09-01 3:10 Tim Harder [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-19 14:10 [gentoo-commits] repo/gentoo:master commit in: media-sound/lilypond/ Sam James
2024-11-08 3:54 Sam James
2024-09-18 13:12 Arsen Arsenović
2024-08-11 20:56 Sam James
2024-06-23 11:28 Miroslav Šulc
2024-06-08 7:31 Miroslav Šulc
2024-06-08 7:24 Miroslav Šulc
2024-06-08 7:20 Miroslav Šulc
2024-01-05 10:09 Sam James
2024-01-05 8:28 Sam James
2024-01-05 8:13 Sam James
2024-01-03 8:56 Sam James
2024-01-03 8:51 Sam James
2023-04-20 4:02 Sam James
2023-04-20 4:02 Sam James
2023-04-19 18:09 Arthur Zamarin
2023-02-07 21:49 Maciej Barć
2022-11-09 10:29 Miroslav Šulc
2022-06-25 12:19 Miroslav Šulc
2022-02-24 1:24 Maciej Barć
2022-02-24 1:24 Maciej Barć
2021-07-26 23:20 Marek Szuba
2021-02-15 8:25 Miroslav Šulc
2021-02-14 14:53 Sam James
2021-02-12 14:15 Sam James
2021-02-12 13:55 Sam James
2021-01-14 10:46 Miroslav Šulc
2021-01-13 9:18 Sam James
2021-01-13 9:17 Sam James
2021-01-12 22:37 Sam James
2021-01-12 12:50 Miroslav Šulc
2020-10-07 7:09 Agostino Sarubbo
2020-10-07 6:42 Agostino Sarubbo
2020-10-06 15:06 Sam James
2020-09-17 7:30 Miroslav Šulc
2020-09-17 7:30 Miroslav Šulc
2020-09-06 7:07 Miroslav Šulc
2020-09-06 4:11 Sam James
2020-09-05 22:55 Sam James
2020-09-05 16:17 Thomas Deutschmann
2020-09-05 11:22 Miroslav Šulc
2020-09-05 8:31 Miroslav Šulc
2020-08-07 12:05 Miroslav Šulc
2020-08-07 11:53 Agostino Sarubbo
2020-08-07 11:44 Agostino Sarubbo
2020-08-05 23:14 Sam James
2020-08-05 8:32 Miroslav Šulc
2020-08-05 8:22 Miroslav Šulc
2020-07-28 8:45 Ulrich Müller
2020-07-05 9:33 Miroslav Šulc
2020-06-10 13:42 Miroslav Šulc
2020-06-09 13:53 Agostino Sarubbo
2020-06-09 13:45 Agostino Sarubbo
2020-06-09 4:23 Mart Raudsepp
2020-06-08 8:04 Miroslav Šulc
2020-04-02 10:38 Miroslav Šulc
2020-02-16 14:51 Andreas Sturmlechner
2020-02-16 13:41 Andreas Sturmlechner
2019-12-02 11:21 Miroslav Šulc
2019-12-01 15:38 Thomas Deutschmann
2019-11-29 21:54 Aaron Bauman
2019-11-29 8:59 Agostino Sarubbo
2019-11-04 7:28 Tim Harder
2019-10-28 10:54 Miroslav Šulc
2019-04-14 14:37 Aaron Bauman
2019-03-23 13:48 Pacho Ramos
2018-03-23 6:39 Tim Harder
2018-03-18 12:11 Mikle Kolyada
2018-03-18 0:40 Thomas Deutschmann
2018-03-17 18:22 Matt Turner
2018-01-06 19:53 Ulrich Müller
2017-11-30 14:47 Patrice Clement
2017-11-30 14:47 Patrice Clement
2017-11-30 14:47 Patrice Clement
2017-11-30 14:47 Patrice Clement
2017-07-29 11:32 Tim Harder
2017-07-10 7:37 Tim Harder
2017-07-10 7:37 Tim Harder
2017-06-30 7:39 Alexis Ballier
2017-05-24 6:06 Tim Harder
2017-05-20 14:49 Tim Harder
2017-04-12 10:43 Tim Harder
2017-04-03 8:34 Tim Harder
2017-03-25 9:03 Tim Harder
2017-03-01 13:54 Tim Harder
2017-02-22 20:57 Tim Harder
2017-01-22 9:00 Tobias Klausmann
2017-01-06 2:30 Tim Harder
2017-01-06 2:30 Tim Harder
2016-12-26 20:22 Tim Harder
2016-12-12 19:41 Michał Górny
2016-12-09 3:25 Tim Harder
2016-11-12 5:10 Tim Harder
2016-11-12 5:09 Tim Harder
2016-10-26 4:07 Tim Harder
2016-09-30 4:46 Tim Harder
2016-08-20 23:23 Tim Harder
2016-08-19 2:20 Tim Harder
2016-08-19 2:20 Tim Harder
2016-08-19 2:20 Tim Harder
2016-08-19 2:15 Tim Harder
2016-06-12 22:00 Patrice Clement
2016-05-30 12:10 Tobias Klausmann
2015-11-10 6:12 Ian Delaney
2015-11-10 6:12 Ian Delaney
2015-11-10 6:12 Ian Delaney
2015-11-06 12:18 Ian Delaney
2015-08-28 9:39 Miroslav Šulc
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1472699338.94e3223e2c57d42ceaa5126c1328f5fa9ae1970f.radhermit@gentoo \
--to=radhermit@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox